﻿Module Module1

    Sub Main()
        Dim Assembly = System.Reflection.Assembly.GetExecutingAssembly()
        Dim TitleAttribute = TryCast(Assembly.GetCustomAttributes(GetType(System.Reflection.AssemblyTitleAttribute), False).FirstOrDefault(), System.Reflection.AssemblyTitleAttribute)
        Dim Title = If(TitleAttribute IsNot Nothing, TitleAttribute.Title, String.Empty)
        Dim Version = Assembly.GetName().Version.ToString()
        Console.WriteLine(String.Format("Assembly Title: {0}", Title))
        Console.WriteLine(String.Format("Assembly Version: {0}", Version))
        Console.ReadLine()
    End Sub

    Sub ChecarUpdatesNAppUpdate()
        Dim UpdateManager = NAppUpdate.Framework.UpdateManager.Instance
        UpdateManager.UpdateSource = New NAppUpdate.Framework.Sources.SimpleWebSource("file://d:\tmp\nappupdate.xml")
        UpdateManager.ReinstateIfRestarted()
        If UpdateManager.State = NAppUpdate.Framework.UpdateManager.UpdateProcessState.NotChecked Then
            UpdateManager.CheckForUpdates()
            If UpdateManager.UpdatesAvailable > 0 Then
                UpdateManager.PrepareUpdates()
                UpdateManager.ApplyUpdates(True)
            End If
        End If
    End Sub

    Sub ChecarUpdatesAutoUpdater()
        AutoUpdaterDotNET.AutoUpdater.Start("file://d:\tmp\autoupdater.xml")
    End Sub
End Module
